[debian-edu-commits] debian-edu/pkg-team/ 04/07: lintian: Make lintian happy by putting shell -e option into a separate line.

Mike Gabriel sunweaver at debian.org
Wed Sep 7 11:35:13 UTC 2016


This is an automated email from the git hooks/post-receive script.

sunweaver pushed a commit to branch master
in repository e2guardian.

commit 43b8f1994f24726e6d8e2be3cd3444c5dc08f3d9
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Wed Sep 7 12:43:03 2016 +0200

    lintian: Make lintian happy by putting shell -e option into a separate line.
---
 debian/postinst | 4 +++-
 debian/postrm   | 4 +++-
 debian/prerm    | 4 +++-
 3 files changed, 9 insertions(+), 3 deletions(-)

diff --git a/debian/postinst b/debian/postinst
index 18cf1bf..0de0610 100755
--- a/debian/postinst
+++ b/debian/postinst
@@ -1,4 +1,6 @@
-#! /bin/sh -e
+#! /bin/sh
+
+set -e
 
 if ! id -u e2guardian > /dev/null 2>&1 ; then
     adduser --system --group \
diff --git a/debian/postrm b/debian/postrm
index c724f97..c19b970 100755
--- a/debian/postrm
+++ b/debian/postrm
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
 
 if [ "$1" = "purge" ]; then
 	deluser e2guardian > /dev/null || true
diff --git a/debian/prerm b/debian/prerm
index 62aec7f..4e38ef6 100755
--- a/debian/prerm
+++ b/debian/prerm
@@ -1,4 +1,6 @@
-#! /bin/sh -e
+#! /bin/sh
+
+set -e
 
 init_failed ()
 {

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-edu/pkg-team/e2guardian.git



More information about the debian-edu-commits mailing list